IBM Support

Security Bulletin: IBM MQ and IBM MQ Appliance MQOPEN call might succeed when it should have failed. (CVE-2017-1341 )

Security Bulletin


Summary

MQOPEN call might succeed when it should have failed, when using generic profile authority matching for remotely defined MQ object.

Vulnerability Details

CVEID: CVE-2017-1341
DESCRIPTION:
IBM WebSphere MQ could allow, under special circumstances, an unauthorized user to access an object which they should have been denied access.
CVSS Base Score: 3.7
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/126456 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N)

Affected Products and Versions

IBM MQ V8

Maintenance levels 8.0.0.0 - 8.0.0.7

IBM MQ Appliance V8

Maintenance levels between 8.0.0.0 and 8.0.0.7

IBM MQ V9

Maintenance levels 9.0.0.0 - 9.0.0.1

IBM MQ V9 CD

IBM MQ 9.0.1 - 9.0.3

IBM MQ Appliance V9 CD

IBM MQ Appliance 9.0.1 - 9.0.3

Remediation/Fixes

IBM MQ V8.0 & IBM MQ Appliance V8.0
Apply fix pack 8.0.0.8
Apply fix pack 8.0.0.8 for IBM MQ Appliance
IBM MQ V9
Apply Fix Pack 9.0.0.2
IBM MQ V9 CD
Upgrade to 9.0.4
IBM MQ Appliance V9 CD
Upgrade to 9.0.4

Workarounds and Mitigations

None.

Get Notified about Future Security Bulletins

References

Complete CVSS v3 Guide
On-line Calculator v3

Related information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Change History

30 Nov 2017: Initial version

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Document information

More support for: IBM MQ
Security

Software version: 8.0.0.1, 8.0.0.2, 8.0.0.3, 8.0.0.4, 8.0.0.5, 8.0.0.6, 8.0.0.7, 9.0, 9.0.0.1, 9.0.1, 9.0.2, 9.0.3

Operating system(s): AIX, HP-UX, IBM i, Linux, Solaris, Windows

Software edition: Advanced

Reference #: 2005400

Modified date: 04 December 2017